"use strict";

require("core-js/modules/es.array.iterator");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createJobs = void 0;

var _reverse2 = _interopRequireDefault(require("lodash/reverse"));

var _last2 = _interopRequireDefault(require("lodash/last"));

var _createJob = require("./create-job");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/*
 * Create jobs from sources
 */
const createJobs = sources => {
  const jobs = (0, _reverse2.default)([...sources]).reduce((agg, source, idx) => {
    const job = (0, _createJob.createJob)(source, (0, _last2.default)(agg));
    const internalBuildNumber = job.internalBuildNumber || idx + 1;
    const label = `Job #${internalBuildNumber}`;
    return [_objectSpread({}, job, {
      internalBuildNumber,
      label
    }), ...agg];
  }, []);
  return jobs;
};

exports.createJobs = createJobs;