"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.extract = void 0;

var _merge2 = _interopRequireDefault(require("lodash/merge"));

var _categoryScores = require("./category-scores");

var _scoreCategoryScores = require("./score-category-scores");

var _audits = require("./audits");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const extractFns = [_categoryScores.extractCategoryScores, _scoreCategoryScores.extractScoreCategoryScores, _audits.extractAudits];

const extract = (webpackStats, baseline) => extractFns.reduce((agg, extractFn) => (0, _merge2.default)({}, agg, extractFn(webpackStats, agg, baseline)), {});

exports.extract = extract;