"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getMetricChanged = void 0;

var _uniq2 = _interopRequireDefault(require("lodash/uniq"));

var _map2 = _interopRequireDefault(require("lodash/map"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Check if metric is changed over runs
 *
 * @param {Object[]} runs List of runs
 * @param {number} runs[].value The metric value
 * @param {string} [runs[].name] The metric original name
 * @return {boolean} Metric changed flag
 */
const getMetricChanged = runs => {
  const uniqValues = (0, _uniq2.default)((0, _map2.default)(runs, 'value'));

  if (uniqValues.length > 1) {
    return true;
  } // Check if the name prop has changed (eg: assets, modules)


  const uniqNames = (0, _uniq2.default)((0, _map2.default)(runs, 'name'));

  if (uniqNames.length > 1) {
    return true;
  }

  return false;
};

exports.getMetricChanged = getMetricChanged;