"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validate = void 0;

var _locales = require("../../locales.json");

var _struct = require("./struct");

/**
 * Validate webpack source
 *
 * @param {Object} [webpackSource]
 * @return {String} Message, if invalid, empty string if valid
 */
const validate = webpackSource => {
  try {
    (0, _struct.WebpackSourceStruct)(webpackSource);
  } catch (err) {
    const {
      path,
      type
    } = err;
    const key = path[0];
    return `${_locales.INVALID}\n\nExpected a value of type \`${type}\` for \`${key}\``;
  }

  return '';
};

exports.validate = validate;