"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  PACKAGES_SEPARATOR: true,
  SOURCE_PATH_WEBPACK_STATS: true,
  SOURCE_PATH_LIGHTHOUSE: true,
  SOURCE_PATH_BROWSERTIME: true,
  SOURCE_PATHS: true
};
exports.SOURCE_PATHS = exports.SOURCE_PATH_BROWSERTIME = exports.SOURCE_PATH_LIGHTHOUSE = exports.SOURCE_PATH_WEBPACK_STATS = exports.PACKAGES_SEPARATOR = void 0;

var _fileTypes = require("./file-types");

Object.keys(_fileTypes).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _fileTypes[key];
    }
  });
});

var _insights = require("./insights");

Object.keys(_insights).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _insights[key];
    }
  });
});

var _metrics = require("./metrics");

Object.keys(_metrics).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _metrics[key];
    }
  });
});

var _delta = require("./delta");

Object.keys(_delta).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _delta[key];
    }
  });
});
const PACKAGES_SEPARATOR = ':';
exports.PACKAGES_SEPARATOR = PACKAGES_SEPARATOR;
const SOURCE_PATH_WEBPACK_STATS = 'webpack';
exports.SOURCE_PATH_WEBPACK_STATS = SOURCE_PATH_WEBPACK_STATS;
const SOURCE_PATH_LIGHTHOUSE = 'lighthouse';
exports.SOURCE_PATH_LIGHTHOUSE = SOURCE_PATH_LIGHTHOUSE;
const SOURCE_PATH_BROWSERTIME = 'browsertime';
exports.SOURCE_PATH_BROWSERTIME = SOURCE_PATH_BROWSERTIME;
const SOURCE_PATHS = [SOURCE_PATH_WEBPACK_STATS, SOURCE_PATH_LIGHTHOUSE, SOURCE_PATH_BROWSERTIME];
exports.SOURCE_PATHS = SOURCE_PATHS;