"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createSummary = void 0;

var _merge2 = _interopRequireDefault(require("lodash/merge"));

var _get2 = _interopRequireDefault(require("lodash/get"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const createSummary = (metricPaths, baselineSourceMetrics, currentSourceMetrics) => metricPaths.map(metric => {
  const baselineValue = (0, _get2.default)(baselineSourceMetrics, `${metric}.value`, 0);
  const currentValue = (0, _get2.default)(currentSourceMetrics, `${metric}.value`, 0);
  return {
    [metric]: {
      baseline: baselineValue,
      current: currentValue
    }
  };
}).reduce((agg, current) => (0, _merge2.default)({}, agg, current), {});

exports.createSummary = createSummary;