"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.extract = void 0;

var _merge2 = _interopRequireDefault(require("lodash/merge"));

var _assets = require("./assets");

var _assetsCacheInvalidation = require("./assets-cache-invalidation");

var _assetsChunkCount = require("./assets-chunk-count");

var _assetsCount = require("./assets-count");

var _assetsSize = require("./assets-size");

var _assetsSizeTotalInsight = require("./assets-size-total-insight");

var _meta = require("./meta");

var _modules = require("./modules");

var _modulesCount = require("./modules-count");

var _modulesPackages = require("./modules-packages");

var _modulesPackagesCount = require("./modules-packages-count");

var _modulesPackagesDuplicate = require("./modules-packages-duplicate");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const extractFns = [_assets.extractAssets, _assetsCacheInvalidation.extractAssetsCacheInvalidation, _assetsChunkCount.extractAssetsChunkCount, _assetsCount.extractAssetsCount, _assetsSize.extractAssetsSize, _assetsSizeTotalInsight.extractAssetsSizeTotalInsight, _meta.extractMeta, _modules.extractModules, _modulesCount.extractModulesCount, _modulesPackages.extractModulesPackages, _modulesPackagesCount.extractModulesPackagesCount, _modulesPackagesDuplicate.extractModulesPackagesDuplicate];

const extract = (webpackStats, baseline) => extractFns.reduce((agg, extractFn) => (0, _merge2.default)({}, agg, extractFn(webpackStats, agg, baseline)), {});

exports.extract = extract;