"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.extractMeta = void 0;

var _get2 = _interopRequireDefault(require("lodash/get"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getBuiltAt = (webpackStats, key) => {
  let builtAt = '';
  const builtAtTime = (0, _get2.default)(webpackStats, key);

  if (!builtAtTime) {
    return builtAt;
  }

  try {
    builtAt = new Date(builtAtTime).toISOString();
  } catch (error) {
    console.error('Error extracting builtAt value:', error.message); // eslint-disable-line no-console
  }

  return builtAt;
};

const extractMeta = webpackStats => {
  const builtAt = getBuiltAt(webpackStats, 'builtAt');
  const hash = (0, _get2.default)(webpackStats, 'hash', '');
  return {
    meta: {
      builtAt,
      hash
    }
  };
};

exports.extractMeta = extractMeta;